<!DOCTYPE html>
<html>
<head>
	<!-- comment -->
	<!-- contains information about our HTML documents. But anything that we add here cannot be seen in the webpage itself -->
	<meta charset="utf-8">
	<!-- meta tags add an additional information about our HTML documents. charset="utf-8" just tells our browser that for this HTML document we will use the default character set.  -->
	<title>Software Engineering Code of Ethics and Professional Practice</title>
	<!-- title tag adds the title for the page. It can usually be seen in the tab but not in the webpage itself. -->
</head>
<body>
	<!-- This text content is part of an HTML comment. It should be seen in the webpage itself.
		To create a comment use: ctrl + /
		Comments are created to add notes or marks for our document.
	 -->
	 <!-- headings
			- are tags that create heading elements. This heading elements bold the text and enlarges it. It is used as a title or to grab's someone's attention to the text.

			h1 - h6
	  -->
	  <h1>Software Engineering Code of Ethics and Professional Practice</h1>
	  

	  <!-- Self-closing tags are tags create elements but there is no need for closing tag, -->

	  <!-- hr - horizontal rule - aline that encompasses the full width of its parent element. hr is a block element -->
	  <hr>

	  <!-- br elements thought they act like block elements or text that they break the line, they are considered as hr elements -->
	  <span>The Software Engineering Code of Ethics and Professional Practice, intended as a standard for teaching and practicing software engineering, documents the ethical and professional obligations of software engineers. The code should instruct practitioners about the standards society expects them to meet, about what their peers strive for, and about what to expect of one another. </span>
	  <br>
	  <span>In addition, the code should also inform the public about the responsibilities that are important to the profession.</span>

	  <!-- Paragraph tags create paragraph elements. Paragraph elements, unlike span, are also containers for text BUT they are block elements. -->
	  <!-- strong - emboldens the text it contains and is an inline element -->

	  <p>Purpose: <strong> the code of ethics is intended as a guide for members of the evolving software engineering profession. </strong></p>

	  <h3>Preamble</h3>

	    <p>The short version of the code summarizes aspirations at a high level of the abstraction; the clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.

Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. </p>

	  <h3>Eight Principles:</h3>
	  <!-- 
             ul tags allow to create an unordered list. With this, we cn create list with items preceded by bullet points which shows items are in no particular order list

             ol tags allows to create an ordered list. With this we create a list with items preceded by  number by dafault

             nested elements are elements inside another

             parent elements are elements that contain nested elements


             Save: ctrl + s
             Save All: ctrl + shift + alt + S
	   -->
	   <ul style="list-style-type:circle;">
	   	<!-- default= disc, circle, square, none -->
	   	    <li>Public</li>
	   	    <li>Client and Employer</li>
	   	    <li>Product</li>
            <li>Judgement</li>
	   		<li>Management</li>
	   		<li>Profession</li>
	   		<li>Colleague</li>
	   		<li>Self</li>
	   		
	   		</ul>
	   	</ol>
	   	<!-- end of ol -->

	   </ul>
	   <!-- end of ul languages -->


	 
</ul>

</body>
</html>

	   


